package com.ss.android.ugc.aweme.shortvideo.mvtemplate.cutsame;

import X.AnonymousClass7P3;
import X.M12;
import android.os.Parcel;
import android.os.Parcelable;
import com.bytedance.covode.number.Covode;
import java.util.Objects;

public final class CutSameVideoImageExtraData implements Parcelable {
    public static final Parcelable.Creator<CutSameVideoImageExtraData> CREATOR = new AnonymousClass7P3();
    public final long LIZ;

    static {
        Covode.recordClassIndex(111423);
    }

    private Object[] LIZ() {
        return new Object[]{Long.valueOf(this.LIZ)};
    }

    public final int describeContents() {
        return 0;
    }

    public final boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }
        if (!(obj instanceof CutSameVideoImageExtraData)) {
            return false;
        }
        return M12.LIZ(((CutSameVideoImageExtraData) obj).LIZ(), LIZ());
    }

    public final int hashCode() {
        return Objects.hash(LIZ());
    }

    public final String toString() {
        return M12.LIZ("CutSameVideoImageExtraData:%s", LIZ());
    }

    public final void writeToParcel(Parcel parcel, int i) {
        M12.LIZ(parcel);
        parcel.writeLong(this.LIZ);
    }

    public CutSameVideoImageExtraData(long j) {
        this.LIZ = j;
    }
}
